## bcron 0.09

=== Makefile ===
# Don't edit Makefile!  Use conf-* for configuration.
#
# Generated by spac see http://untroubled.org/spac/

SHELL=/bin/sh

DEFAULT: all

all: libraries programs docs

bcron-exec: load bcron-exec.o bcron.a
	./load bcron-exec bcron.a -lbg 

bcron-exec.o: compile bcron-exec.c bcron.h
	./compile bcron-exec.c

bcron-sched: load bcron-sched.o bcron.a
	./load bcron-sched bcron.a -lbg 

bcron-sched.o: compile bcron-sched.c bcron.h
	./compile bcron-sched.c

bcron-spool: load bcron-spool.o bcron.a
	./load bcron-spool bcron.a -lbg 

bcron-spool.o: compile bcron-spool.c bcron.h
	./compile bcron-spool.c

bcron-start: load bcron-start.o bcron.a
	./load bcron-start bcron.a -lbg 

bcron-start.o: compile bcron-start.c bcron.h
	./compile bcron-start.c

bcron-update: load bcron-update.o bcron.a
	./load bcron-update bcron.a -lbg 

bcron-update.o: compile bcron-update.c bcron.h
	./compile bcron-update.c

bcron.a: makelib chdir.o connection.o crontab.o crontabs.o job.o ministat.o sendpacket.o tempfile.o time.o timespec-next.o timespec-parse.o
	./makelib bcron.a chdir.o connection.o crontab.o crontabs.o job.o ministat.o sendpacket.o tempfile.o time.o timespec-next.o timespec-parse.o

bcron.html: bcron.texi
	texi2html --toc-file=bcron.html --top-file=bcron.html bcron.texi

bcron.info: bcron.texi
	makeinfo bcron.texi

bcrontab: load bcrontab.o bcron.a
	./load bcrontab bcron.a -lbg-cli -lbg 

bcrontab.o: compile bcrontab.c bcron.h
	./compile bcrontab.c

chdir.o: compile chdir.c bcron.h
	./compile chdir.c

clean: TARGETS
	rm -f `cat TARGETS`

clean-spac: clean AUTOFILES
	rm -f `cat AUTOFILES`

compile: conf-cc conf-bgincs
	( bgincs=`head -n 1 conf-bgincs`; \
	  echo '#!/bin/sh'; \
	  echo 'source=$$1; shift'; \
	  echo 'base=`echo "$$source" | sed -e s:\\\\.c$$::`'; \
	  echo exec `head -n 1 conf-cc` -I. "-I'$${bgincs}'" '-o $${base}.o -c $$source $${1+"$$@"}'; \
	) >compile
	chmod 755 compile

conf_bin.c: conf-bin
	head -n 1 conf-bin | \
	  sed -e 's/"/\\"/g' \
	      -e 's/^/const char conf_bin[] = "/' \
	      -e 's/$$/";/' >conf_bin.c

connection.o: compile connection.c bcron.h
	./compile connection.c

crontab.o: compile crontab.c bcron.h
	./compile crontab.c

crontabs.o: compile crontabs.c bcron.h
	./compile crontabs.c

docs: bcron.info bcron.html

install: installer instcheck
	./installer
	./instcheck

installer: load insthier.o
	./load insthier -lbg-installer -lbg
	mv insthier installer

instcheck: load insthier.o
	./load insthier -lbg-instcheck -lbg
	mv insthier instcheck

insthier.o: compile insthier.c conf_bin.c
	./compile insthier.c

instshow: load insthier.o
	./load insthier -lbg-instshow -lbg
	mv insthier instshow

job.o: compile job.c bcron.h
	./compile job.c

libraries: bcron.a

load: conf-ld conf-bglibs
	( bglibs=`head -n 1 conf-bglibs`; \
	  echo '#!/bin/sh';\
	  echo 'main="$$1"; shift';\
	  echo exec `head -n 1 conf-ld` -L. "-L'$${bglibs}'" '-o "$$main" "$$main.o" $${1+"$$@"}' -lbg-sysdeps; \
	) >load
	chmod 755 load

makelib: 
	( echo '#!/bin/sh'; \
	  echo 'main="$$1"; shift';\
	  echo 'rm -f "$$main"';\
	  echo 'ar cr "$$main" $${1+"$$@"}';\
	  echo 'ranlib "$$main"';\
	) >makelib
	chmod 755 makelib

ministat.o: compile ministat.c bcron.h
	./compile ministat.c

programs: installer instcheck instshow bcron-sched bcrontab bcron-spool bcron-start bcron-update bcron-exec test-sched

sendpacket.o: compile sendpacket.c bcron.h
	./compile sendpacket.c

tempfile.o: compile tempfile.c bcron.h
	./compile tempfile.c

test-sched: load test-sched.o bcron.a
	./load test-sched bcron.a -lbg-cli -lbg 

test-sched.o: compile test-sched.c bcron.h
	./compile test-sched.c

time.o: compile time.c bcron.h
	./compile time.c

timespec-next.o: compile timespec-next.c bcron.h
	./compile timespec-next.c

timespec-parse.o: compile timespec-parse.c bcron.h
	./compile timespec-parse.c

## bcron 0.10

=== Makefile ===
# Don't edit Makefile!  Use conf-* for configuration.
#
# Generated by spac see http://untroubled.org/spac/

SHELL=/bin/sh

DEFAULT: all

all: libraries programs docs

bcron-exec: bcron-exec.o load bcron.a
	./load bcron-exec bcron.a -lbg 

bcron-exec.8.html: bcron-exec.8
	man2html bcron-exec.8 >bcron-exec.8.html

bcron-exec.o: compile bcron-exec.c bcron.h conf_sendmail.c
	./compile bcron-exec.c

bcron-sched: bcron-sched.o load bcron.a
	./load bcron-sched bcron.a -lbg 

bcron-sched.8.html: bcron-sched.8
	man2html bcron-sched.8 >bcron-sched.8.html

bcron-sched.o: compile bcron-sched.c bcron.h
	./compile bcron-sched.c

bcron-spool: bcron-spool.o load bcron.a
	./load bcron-spool bcron.a -lbg 

bcron-spool.8.html: bcron-spool.8
	man2html bcron-spool.8 >bcron-spool.8.html

bcron-spool.o: compile bcron-spool.c bcron.h
	./compile bcron-spool.c

bcron-start: bcron-start.o load bcron.a
	./load bcron-start bcron.a -lbg 

bcron-start.8.html: bcron-start.8
	man2html bcron-start.8 >bcron-start.8.html

bcron-start.o: compile bcron-start.c bcron.h
	./compile bcron-start.c

bcron-update: bcron-update.o load bcron.a
	./load bcron-update bcron.a -lbg 

bcron-update.8.html: bcron-update.8
	man2html bcron-update.8 >bcron-update.8.html

bcron-update.o: compile bcron-update.c bcron.h
	./compile bcron-update.c

bcron.a: makelib chdir.o connection.o crontab.o crontabs.o job.o job_dump.o ministat.o sendpacket.o tempfile.o time.o timespec-next.o timespec-parse.o
	./makelib bcron.a chdir.o connection.o crontab.o crontabs.o job.o job_dump.o ministat.o sendpacket.o tempfile.o time.o timespec-next.o timespec-parse.o

bcron.html: bcron.texi
	makeinfo --html --no-split bcron.texi

bcron.info: bcron.texi
	makeinfo bcron.texi

bcrontab: bcrontab.o load bcron.a
	./load bcrontab bcron.a -lbg-cli -lbg 

bcrontab.1.html: bcrontab.1
	man2html bcrontab.1 >bcrontab.1.html

bcrontab.o: compile bcrontab.c bcron.h
	./compile bcrontab.c

chdir.o: compile chdir.c bcron.h
	./compile chdir.c

clean: TARGETS
	rm -f `cat TARGETS`

clean-spac: clean AUTOFILES
	rm -f `cat AUTOFILES`

compile: conf-cc conf-bgincs
	( bgincs=`head -n 1 conf-bgincs`; \
	  echo '#!/bin/sh'; \
	  echo 'source=$$1; shift'; \
	  echo 'base=`echo "$$source" | sed -e s:\\\\.c$$::`'; \
	  echo exec `head -n 1 conf-cc` -I. "-I'$${bgincs}'" '-o $${base}.o -c $$source $${1+"$$@"}'; \
	) >compile
	chmod 755 compile

conf_sendmail.c: conf-sendmail
	python -c 'import shlex; line=shlex.split(open("conf-sendmail").readline().strip()); print "const char* sendmail[] = { "+",".join(["\"%s\""%a for a in line])+",NULL };"' >conf_sendmail.c

connection.o: compile connection.c bcron.h
	./compile connection.c

crontab.5.html: crontab.5
	man2html crontab.5 >crontab.5.html

crontab.o: compile crontab.c bcron.h
	./compile crontab.c

crontabs.o: compile crontabs.c bcron.h
	./compile crontabs.c

docs: bcron.info bcron.html crontab.5.html bcrontab.1.html bcron-spool.8.html bcron-sched.8.html bcron-exec.8.html bcron-start.8.html bcron-update.8.html

install: INSTHIER conf-bin conf-man
	bg-installer -v <INSTHIER
	bg-installer -c <INSTHIER

job.o: compile job.c bcron.h
	./compile job.c

job_dump.o: compile job_dump.c bcron.h
	./compile job_dump.c

libraries: bcron.a

load: conf-ld conf-bglibs
	( bglibs=`head -n 1 conf-bglibs`; \
	  echo '#!/bin/sh';\
	  echo 'main="$$1"; shift';\
	  echo exec `head -n 1 conf-ld` -L. "-L'$${bglibs}'" "-Wl,-R'$${bglibs}'" '-o "$$main" "$$main.o" $${1+"$$@"}' -lbg-sysdeps; \
	) >load
	chmod 755 load

makelib: 
	( echo '#!/bin/sh'; \
	  echo 'lib="$$1"; shift';\
	  echo 'rm -f "$$lib"';\
	  echo 'ar cr "$$lib" $${1+"$$@"}';\
	  echo 'ranlib "$$lib"';\
	) >makelib
	chmod 755 makelib

ministat.o: compile ministat.c bcron.h
	./compile ministat.c

programs: bcrontab bcron-update bcron-spool bcron-start bcron-sched bcron-exec test-sched

sendpacket.o: compile sendpacket.c bcron.h
	./compile sendpacket.c

tempfile.o: compile tempfile.c bcron.h
	./compile tempfile.c

test-sched: test-sched.o load bcron.a
	./load test-sched bcron.a -lbg-cli -lbg 

test-sched.o: compile test-sched.c bcron.h
	./compile test-sched.c

time.o: compile time.c bcron.h
	./compile time.c

timespec-next.o: compile timespec-next.c bcron.h
	./compile timespec-next.c

timespec-parse.o: compile timespec-parse.c bcron.h
	./compile timespec-parse.c

=== debian/changelog ===
bcron (0.10-4) unstable; urgency=medium

  * Write debian/watch
  * Change source package format to quilt, remove manual patches
    application
  * Convert package to use debhelper
  * Use `dh-runit' to install runit scripts and generate log scripts
    (Closes: #832656)
  * Use `dh-buildinfo' to simplify tracking bugs, related to build-tools
  * Avoid need of hand-written maintainer scripts by
    use of `dh-runit' and `dh-sysuser'
  * Drop dietlibc-dev from Build-Depends for now. (Libraries
    depended upon are not compiled for dietlibc anymore.)
  * Remove no longer needed README files
  * Move 'debian/crontab' into 'debian/contrib' for more clean package layout
  * Enable hardening
  * Fix @dircategory in texinfo manual
  * Install `doc-base' document
  * Add Homepage field
  * Bump standards version to 3.9.8 (no changes needed)
  * Remove Section field from `bcron-run' field, since it duplicated one
    defined in first paragraph.
  * Update Vcs-Git and Vcs-Browser fields
  * Convert `debian/copyrigh' to dep5 format
  * Use S:fieldname substitution to avoid duplication in `debian/control'.
    + Add versioned dependency on (dpkg-dev >= 1.18.11)
  * Disable unreliable tests (see: #835274)

 -- Dmitry Bogatov <KAction@gnu.org>  Tue, 23 Aug 2016 15:42:04 +0300

bcron (0.10-3) unstable; urgency=medium

  * debian/control: Revert bcron-run: Provides:, Replaces:, Conflicts:
    cron-daemon instead of cron (thx Russ Allbery).
  * debian/control: Provides: cron, cron-daemon.

 -- Gerrit Pape <pape@smarden.org>  Sat, 18 Oct 2014 19:45:39 +0000

bcron (0.10-2) unstable; urgency=low

  * debian/control: bcron-run: Provides:, Replaces:, Conflicts:
    cron-daemon instead of cron (thx Alexandre Detiste, closes: 752506).
  * debian/diff/0006-tests.sh-skip-tests-exec-fds-tests-exec-sim...diff:
    new: tests.sh: skip tests/exec-fds, tests/exec-simple if $HOME does
    not exist.

 -- Gerrit Pape <pape@smarden.org>  Mon, 11 Aug 2014 19:11:21 +0000

bcron (0.10-1) unstable; urgency=low

  * new upstream release 0.10.
    * debian/diff/0004-bcron-exec.c-fix-typo-...diff: remove; fixed
      upstream.
    * debian/diff/0006-tests.sh-export-TZ-CST0-trailing-...diff: remove;
      obsolete.
    * debian/diff/0007-tests.sh-*.diff, 0008-bcron-exec-...diff: remove;
      applied upstream.
  * debian/control: Build-Depends: python, man2html, texinfo.
  * debian/diff/0001-...diff: adapt: remove *.html from TARGET to keep
    them on make clean.
  * debian/rules: ./ChangeLog no longer shipped by upstream, use NEWS.
  * debian/bcron-run.postinst: don't use update-service --add on package
    upgrade; use sv t to restart services on package upgrade.
  * debian/bcron-run.postinst: remove code for package upgrade from
    version 0.09-8 or earlier.
  * debian/control: remove version (>= 1.8.0-2) from Depends: runit.
  * debian/bcron-run.postrm: purge: use sv force-shutdown instead of
    force-stop to take down services; guard deluser against failure.
  * debian/rules: echo /usr/share/doc >conf-man; no longer install man
    pages explicitly.
  * debian/diff/0005-Makefile-don-t-use-Wl-R-bglibs-when-linking...diff:
    new: Makefile: don't use -Wl,-R'$${bglibs}' when linking programs.
  * debian/control: Standards-Version: 3.9.5.0.

 -- Gerrit Pape <pape@smarden.org>  Sun, 10 Aug 2014 14:16:45 +0000

bcron (0.09-13) unstable; urgency=medium

  * debian/diff/0008-bcron-exec-Mark-all-temporary-files-close-...diff:
    new; from upstream git; bcron-exec: Mark all temporary files
    close-on-exec and close selfpipe; this fixes a security bug in
    bcron where cron jobs get access to the temporary output files from
    all other jobs that are still running (closes: #686650).

 -- Gerrit Pape <pape@smarden.org>  Wed, 16 Jan 2013 10:13:37 +0000

bcron (0.09-12) unstable; urgency=low

  * debian/rules, debian/bcron.README.Debian: no longer install the
    bcron.info file (closes: #528865).
  * debian/control: bcron: Recommends: default-mta |
    mail-transport-agent; bcron-run: Depends: default-mta |
    mail-transport-agent (thx Jonathan Nieder; closes: #495834).
  * debian/control: Standards-Version: 3.9.2.0.

 -- Gerrit Pape <pape@smarden.org>  Thu, 20 Oct 2011 12:41:01 +0000

bcron (0.09-11) unstable; urgency=low

  * debian/bcron-run.postrm: services' supervise dirs are now located in
    /var/lib/supervise/, remove those on purge.
  * debian/rules: no longer include named pipe /var/spool/cron/trigger
    in the bcron-run packages (closes: #552687).
  * debian/bcron-run.postinst: create named pipe /var/spool/cron/trigger
    if it doesn't exist yet, error out if it exists but is not a fifo.
  * debian/bcron-run.postrm: remove /var/spool/cron/trigger on purge.
  * debian/control: Standards-Version: 3.8.3.0.

 -- Gerrit Pape <pape@smarden.org>  Sun, 01 Nov 2009 22:50:15 +0000

bcron (0.09-10) unstable; urgency=low

  * debian/control: Build-Depends: libbg1-dev (closes: #482516).

 -- Gerrit Pape <pape@smarden.org>  Sun, 25 May 2008 16:15:18 +0000

bcron (0.09-9) unstable; urgency=low

  * debian/bcron-run.postinst, debian/bcron-run.prerm: use runit's
    update-service program to add/remove services from system-wide service
    supervision, instead of dealing with symlinks in /var/service/ directly.
  * debian/control: package bcron-run: Depends: runit (>= 1.8.0-2) (1st
    version that provides the update-service program).
  * debian/rules: no longer include dangling links for ./supervise/
    subdirectories, update-service now takes care of this.
  * debian/bcron-run.postinst: remove bcron service on upgrade from
    <= 0.09-8, and re-add afterwards through update-service.
  * debian/bcron-run.postrm: purge: adapt paths in /var/run/; force-stop bcron
    services; remove ./supervise/ subdirectories (or symlinks) in service
    directories.
  * debian/control: add Vcs-Git: http://smarden.org/git/bcron.git/.
  * debian/control: Standards-Version: 3.7.3.0.



=== debian/control ===
Source: bcron
Section: admin
Priority: optional
Maintainer: Gerrit Pape <pape@smarden.org>
Uploaders: Dmitry Bogatov <KAction@gnu.org>
Build-Depends: debhelper (>= 9),
	       dpkg-dev (>= 1.18.11),
	       dh-runit (>= 1.5),
	       dh-sysuser (>= 1.3),
	       dh-buildinfo (>= 0.11+nmu1),
	       libbg1-dev,
	       python,
	       man2html-base,
	       texinfo
Standards-Version: 3.9.8
Homepage: http://untroubled.org/bcron
Vcs-Browser: https://anonscm.debian.org/cgit/users/kaction-guest/bcron.git
Vcs-Git: https://anonscm.debian.org/cgit/users/kaction-guest/bcron.git
Short-Desc: Bruce cron system
Long-Desc: This is bcron, a new cron system designed with secure operations in mind.
 To do this, the system is divided into several separate programs, each
 responsible for a separate task, with strictly controlled communications
 between them.  The user interface is a drop-in replacement for similar
 systems (such as vixie-cron), but the internals differ greatly.

Package: bcron
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: bcron-run, runit, ucspi-unix, default-mta | mail-transport-agent
Description: ${S:Short-Desc} (programs)
 ${S:Long-Desc}
 .
 This package contains the bcron programs.

Package: bcron-run
Architecture: all
Depends: bcron, ucspi-unix, default-mta | mail-transport-agent, ${misc:Depends}
Provides: cron, cron-daemon
Replaces: cron
Conflicts: cron
Suggests: runit-init, anacron
Description: ${S:Short-Desc} (integration with runit)
 ${S:Long-Desc}
 .
 This package sets up the bcron services, and replaces the default Debian
 cron package.

=== debian/rules ===
#!/usr/bin/make -f

# Enabling pie hardening requires recompilation of bglibs, and I would
# prefer to defer this task.
# -- Dmitry Bogatov <KAction@gnu.org> Sun, 14 Aug 2016 13:53:34 +0300
export DEB_BUILD_MAINT_OPTIONS = hardening=+all,-pie
include /usr/share/dpkg/buildflags.mk
export CC = gcc

%:
	dh $@ --with runit,buildinfo,sysuser --parallel

override_dh_auto_build:
	rm -f bcron.info
	echo '$(CC) $(CPPFLAGS) $(CFLAGS)' > conf-cc
	echo '$(CC) $(LDFLAGS)' > conf-ld
	dh_auto_build
override_dh_auto_test:
	sh tests.sh
override_dh_auto_install:
	dh_install
override_dh_installchangelogs:
	dh_installchangelogs NEWS

## bcron 0.11

=== debian/changelog ===
bcron (0.11-9) unstable; urgency=medium

  * Add Gitlab CI config file
  * Patch upstream build system to work with python3 (Closes: #936191)
  * Set upstream metadata fields: Contact, Name.

 -- Dmitry Bogatov <KAction@debian.org>  Fri, 30 Aug 2019 23:21:28 +0000

bcron (0.11-8) unstable; urgency=medium

  * Add missing line into package description (Closes: #920200)

 -- Dmitry Bogatov <KAction@debian.org>  Sat, 09 Feb 2019 20:58:22 +0000

bcron (0.11-7) unstable; urgency=medium

  * Fix spurious failures in `postinst' maintainer script
  * Move inactive Gerrit Pape maintainer to uploaders list,
    set myself as maintainer (Closes: #907083)

 -- Dmitry Bogatov <KAction@debian.org>  Tue, 22 Jan 2019 21:42:06 +0000

bcron (0.11-6) unstable; urgency=medium

  * Upload to unstable
  * Add missing dependency on $local_fs in initscripts

 -- Dmitry Bogatov <KAction@debian.org>  Sat, 19 Jan 2019 03:32:31 +0000

bcron (0.11-5) experimental; urgency=medium

  * Create sysvinit scripts (Closes: #916295)
  * Update standards version to 4.3.0 (no changes needed)
  * Remove outdated comment in `debian/rules'

 -- Dmitry Bogatov <KAction@debian.org>  Thu, 17 Jan 2019 00:48:51 +0000

bcron (0.11-4) experimental; urgency=medium

  * Build-Depends on latest version of dh-runit, that ensures
    presence of `/etc/runit/runsvdir/default' directory.
  * Fix `postinst' maintainer script (Closes: #916737)
  * Update Vcs-* fields in `debian/control'
  * Fix broken symlink (Closes: #858505)
  * Remove redundant sentence from package long description

 -- Dmitry Bogatov <KAction@debian.org>  Wed, 19 Dec 2018 06:56:59 +0000

bcron (0.11-3) experimental; urgency=medium

  * Merge `bcron' and `bcron-run' package
  * Add apporiate conflict with old revisions of `runit'
  * Make upstream signing key in `debian/upstream' minimal

 -- Dmitry Bogatov <KAction@debian.org>  Sun, 16 Dec 2018 10:12:58 +0000

bcron (0.11-2) unstable; urgency=medium

  * Refresh patches
  * Bump standards version to 4.2.1 (no changes needed)
  * Use https version of upstream website
  * Bump compat version to 11 (no changes needed)
  * Use https when referring to copyright format
  * wrap-and-sort -sta
  * Fix debian/copyright
  * Remove disabled patch 0002-Spool-socket-is-var-run-...
  * Update Vcs-* fields in debian/control
  * Do not run tests if DEB_BUILD_OPTIONS contains 'nocheck'

 -- Dmitry Bogatov <KAction@gnu.org>  Mon, 15 Oct 2018 18:29:48 +0000

bcron (0.11-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Add tzdata to build-depends to make sure test suite is executed
    correctly (Closes: #897519).

 -- Luca Falavigna <dktrkranz@debian.org>  Fri, 11 May 2018 12:42:54 +0200

bcron (0.11-1.1) unstable; urgency=medium

  * Non-maintainer uppload
  * Upload to unstable
  * Disable crontab new test, requiring too many tools and tweaks to work
    (Closes: #839443)
  * Install groff package to fix build failure (Closes: #875825)
  * Update std-version to 4.1.2, no changes required
  * Update copyright file (Closes: #880555)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 13 Dec 2017 11:12:18 +0100

bcron (0.11-1) experimental; urgency=medium

  * New upstream release
  * Force dependency on bglibs-2.*
  * Refresh patches
  * Do not assume ${USER} value in tests.sh
  * Restore default bcron-spool socket location
    (Drop 0002-Spool-socket-is-var-run-.bcron-spool-instead-of-var-r.diff)
  * Enable hardening=+pie

 -- Dmitry Bogatov <KAction@gnu.org>  Sun, 12 Feb 2017 07:42:37 +0300

=== debian/control ===
Source: bcron
Section: admin
Priority: optional
Maintainer: Dmitry Bogatov <KAction@debian.org>
Uploaders:
 Gerrit Pape <pape@smarden.org>
Build-Depends:
 debhelper (>= 11~),
 dh-buildinfo (>= 0.11+nmu1),
 dh-runit (>= 2.8.1~),
 dh-sysuser (>= 1.3),
 dpkg-dev (>= 1.18.11),
 groff,
 libbg-dev (>= 2),
 man2html-base,
 python3,
 texinfo,
 tzdata,
Standards-Version: 4.3.0
Homepage: https://untroubled.org/bcron
Vcs-Browser: https://salsa.debian.org/debian/bcron
Vcs-Git: https://salsa.debian.org/debian/bcron.git

Package: bcron
Architecture: any
Provides: cron, cron-daemon, bcron-run
Replaces: cron, bcron-run,
Conflicts: cron, bcron-run (<< 0.11-3~), ${runit:Conflicts}
Depends:
 ucspi-unix,
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 default-mta | mail-transport-agent,
 runit,
# Actually, required to run sysvinit script.
 daemon,
Suggests:
 anacron,
 runit-init,
Description: Bruce cron system
 Bruce cron system is designed with secure operations in mind. To do this,
 the system is divided into several separate programs, each responsible for
 a separate task, with strictly controlled communications between them.
 .
 The user interface is a drop-in replacement for similar systems, such as
 vixie-cron, but the internals differ greatly.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
include /usr/share/dpkg/buildflags.mk
export CC = gcc

define initscript =
	cp debian/contrib/sysvinit/$1 debian/bcron.$1.init
	dh_installinit --name=$1
	rm debian/bcron.$1.init
endef

%:
	dh $@ --with runit,buildinfo,sysuser

override_dh_auto_build:
	rm -f bcron.info
	echo '$(CC) $(CPPFLAGS) $(CFLAGS)' > conf-cc
	echo '$(CC) $(LDFLAGS)' > conf-ld
	dh_auto_build

ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	sh tests.sh
else
override_dh_auto_test:
endif

override_dh_auto_install:
	dh_install
	$(call initscript,bcron-update)
	$(call initscript,bcron-sched)
	$(call initscript,bcron-spool)

override_dh_installchangelogs:
	dh_installchangelogs NEWS

=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.sig/ \
    https://untroubled.org/bcron/archive bcron-(\d[.\d]*)\.tar\.gz
